Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.hibernate.state
Class PortalCMSCacheLoader

    java.lang.Object
      org.jboss.portal.cms.hibernate.state.PortalCMSCacheLoader

All Implemented Interfaces:
  org.jboss.cache.loader.CacheLoader, org.jboss.system.Service

    public class PortalCMSCacheLoader

extends java.lang.Object
implements org.jboss.cache.loader.CacheLoader

Field Summary
`static java.lang.String` | `VERSION_NODE_NODE`
`static java.lang.String` | `VERSION_PROP_NODE`
`static java.lang.String` | `VERSION_REF_NODE`
`static java.lang.String` | `WSP_NODE_NODE`
`static java.lang.String` | `WSP_PROP_NODE`
`static java.lang.String` | `WSP_REF_NODE`

Constructor Summary
`PortalCMSCacheLoader()`

Method Summary
`void` | `commit(java.lang.Object tx)`
`void` | `create()`
`void` | `destroy()`
`boolean` | `exists(org.jboss.cache.Fqn fqn)`
`java.util.Map` | `get(org.jboss.cache.Fqn fqn)`
`java.util.Set` | `getChildrenNames(org.jboss.cache.Fqn fqn)`
`byte[]` | `loadEntireState()`
`static java.lang.String` | `parseNodeName(java.lang.String id)`
`void` | `prepare(java.lang.Object tx, java.util.List modifications, boolean one_phase)`
`void` | `put(org.jboss.cache.Fqn fqn, java.util.Map attributes)`
`java.lang.Object` | `put(org.jboss.cache.Fqn fqn, java.lang.Object key, java.lang.Object value)` semantically, if the fqn node does not exist, the entire node needs to be created..
`void` | `put(java.util.List modifications)`
`void` | `remove(org.jboss.cache.Fqn fqn)`
`java.lang.Object` | `remove(org.jboss.cache.Fqn fqn, java.lang.Object key)`
`void` | `removeData(org.jboss.cache.Fqn fqn)`
`void` | `rollback(java.lang.Object tx)`
`void` | `setCache(org.jboss.cache.TreeCache cache)`
`void` | `setConfig(java.util.Properties properties)`
`void` | `start()`
`void` | `stop()`
`void` | `storeEntireState(byte[] arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSP_PROP_NODE

    public static final java.lang.String WSP_PROP_NODE

See Also:
  Constant Field Values

### VERSION_PROP_NODE

    public static final java.lang.String VERSION_PROP_NODE

See Also:
  Constant Field Values

### WSP_NODE_NODE

    public static final java.lang.String WSP_NODE_NODE

See Also:
  Constant Field Values

### VERSION_NODE_NODE

    public static final java.lang.String VERSION_NODE_NODE

See Also:
  Constant Field Values

### WSP_REF_NODE

    public static final java.lang.String WSP_REF_NODE

See Also:
  Constant Field Values

### VERSION_REF_NODE

    public static final java.lang.String VERSION_REF_NODE

See Also:
  Constant Field Values

Constructor Detail

### PortalCMSCacheLoader

    public PortalCMSCacheLoader()

Method Detail

### setConfig

    public void setConfig(java.util.Properties properties)

  Specified by:
    `setConfig` in interface `org.jboss.cache.loader.CacheLoader`

### setCache

    public void setCache(org.jboss.cache.TreeCache cache)

  Specified by:
    `setCache` in interface `org.jboss.cache.loader.CacheLoader`

### getChildrenNames

    public java.util.Set getChildrenNames(org.jboss.cache.Fqn fqn)
                                   throws java.lang.Exception

  Specified by:
    `getChildrenNames` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### exists

    public boolean exists(org.jboss.cache.Fqn fqn)
                   throws java.lang.Exception

  Specified by:
    `exists` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### get

    public java.util.Map get(org.jboss.cache.Fqn fqn)
                      throws java.lang.Exception

  Specified by:
    `get` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### put

    public java.lang.Object put(org.jboss.cache.Fqn fqn,
                                java.lang.Object key,
                                java.lang.Object value)
                         throws java.lang.Exception

  semantically, if the fqn node does not exist, the entire node needs to be created.. In this cacheLoader's case, the node not existing in the database is not an option. that scenario never happens

  returns the oldValue if its found or a new value is created

  Specified by:
    `put` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### put

    public void put(org.jboss.cache.Fqn fqn,
                    java.util.Map attributes)
             throws java.lang.Exception

  Specified by:
    `put` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### put

    public void put(java.util.List modifications)
             throws java.lang.Exception

  Specified by:
    `put` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### remove

    public java.lang.Object remove(org.jboss.cache.Fqn fqn,
                                   java.lang.Object key)
                            throws java.lang.Exception

  Specified by:
    `remove` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### remove

    public void remove(org.jboss.cache.Fqn fqn)
                throws java.lang.Exception

  Specified by:
    `remove` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### removeData

    public void removeData(org.jboss.cache.Fqn fqn)
                    throws java.lang.Exception

  Specified by:
    `removeData` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### prepare

    public void prepare(java.lang.Object tx,
                        java.util.List modifications,
                        boolean one_phase)
                 throws java.lang.Exception

  Specified by:
    `prepare` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### commit

    public void commit(java.lang.Object tx)
                throws java.lang.Exception

  Specified by:
    `commit` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### rollback

    public void rollback(java.lang.Object tx)

  Specified by:
    `rollback` in interface `org.jboss.cache.loader.CacheLoader`

### loadEntireState

    public byte[] loadEntireState()
                           throws java.lang.Exception

  Specified by:
    `loadEntireState` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### storeEntireState

    public void storeEntireState(byte[] arg0)
                          throws java.lang.Exception

  Specified by:
    `storeEntireState` in interface `org.jboss.cache.loader.CacheLoader`
  Throws:
    `java.lang.Exception`

### create

    public void create()
                throws java.lang.Exception

  Specified by:
    `create` in interface `org.jboss.system.Service`
  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.jboss.system.Service`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.jboss.system.Service`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.jboss.system.Service`

### parseNodeName

    public static java.lang.String parseNodeName(java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.